#! /bin/sh

# Feel free to share. You need wmctrl installed to run this script.
# Usage: <scriptname> [uleft,uright,left,right,lleft,lright,fullscreen]
# Original Author: pelle.k
# Version: 0.1

# KDE
#LEFTM=0; RIGHTM=0; UPPERM=0; LOVERM=36; MARGIN=16
#SCREENW=1680; SCREENH=1050; DECO=8; TITLEBAR=18

# Gnome
LEFTM=0; RIGHTM=0; UPPERM=24; LOVERM=24; MARGIN=16
SCREENW=1680; SCREENH=1050; DECO=8; TITLEBAR=20


case $1 in
	"uleft")
		X=$(echo "scale=2; $LEFTM+$MARGIN" | bc)
		Y=$(echo "scale=2; $UPPERM+$MARGIN" | bc)
		W=$(echo "scale=2; $SCREENW*0.4-$LEFTM-$MARGIN*1.5-$DECO" | bc)
		H=$(echo "scale=2; $SCREENH*0.5-$UPPERM-$MARGIN*1.5-$DECO-$TITLEBAR" | bc)
		;;
		
	"uright")
		X=$(echo "scale=2; $SCREENW*0.4+$MARGIN*0.5" | bc)
		Y=$(echo "scale=2; $UPPERM+$MARGIN" | bc)
		W=$(echo "scale=2; $SCREENW*0.6-$RIGHTM-$MARGIN*1.5-$DECO" | bc)
		H=$(echo "scale=2; $SCREENH*0.5-$UPPERM-$MARGIN*1.5-$DECO-$TITLEBAR" | bc)
		;;
		
	"lleft")
		X=$(echo "scale=2; $LEFTM+$MARGIN" | bc)
		Y=$(echo "scale=2; $SCREENH*0.5+$MARGIN*0.5" | bc)
		W=$(echo "scale=2; $SCREENW*0.4-$LEFTM-$MARGIN*1.5-$DECO" | bc)
		H=$(echo "scale=2; $SCREENH*0.5-$LOVERM-$MARGIN*1.5-$DECO-$TITLEBAR" | bc)
		;;
		
	"lright")
		X=$(echo "scale=2; $SCREENW*0.4+$MARGIN*0.5" | bc)
		Y=$(echo "scale=2; $SCREENH*0.5+$MARGIN*0.5" | bc)
		W=$(echo "scale=2; $SCREENW*0.6-$RIGHTM-$MARGIN*1.5-$DECO" | bc)
		H=$(echo "scale=2; $SCREENH*0.5-$LOVERM-$MARGIN*1.5-$DECO-$TITLEBAR" | bc)
		;;
		
	"left")
		X=$(echo "scale=2; $LEFTM+$MARGIN" | bc)
		Y=$(echo "scale=2; $UPPERM+$MARGIN" | bc)
		W=$(echo "scale=2; $SCREENW*0.4-$LEFTM-$MARGIN*1.5-$DECO" | bc)
		H=$(echo "scale=2; $SCREENH-$UPPERM-$LOVERM-$MARGIN*2-$DECO-$TITLEBAR" | bc)
		;;
		
	"right")
		X=$(echo "scale=2; $SCREENW*0.4+$MARGIN*0.5" | bc)
		Y=$(echo "scale=2; $UPPERM+$MARGIN" | bc)
		W=$(echo "scale=2; $SCREENW*0.6-$RIGHTM-$MARGIN*1.5-$DECO" | bc)
		H=$(echo "scale=2; $SCREENH-$UPPERM-$LOVERM-$MARGIN*2-$DECO-$TITLEBAR" | bc)
		;;
		
	"fullscreen")
		X=$(echo "scale=2; $LEFTM+$MARGIN" | bc)
		Y=$(echo "scale=2; $UPPERM+$MARGIN" | bc)
		W=$(echo "scale=2; $SCREENW-$RIGHTM-$LEFTM-$MARGIN*2-$DECO" | bc)
		H=$(echo "scale=2; $SCREENH-$UPPERM-$LOVERM-$MARGIN*2-$DECO-$TITLEBAR" | bc)
		;;
	*)
		echo "syntax error.\n"
		exit 1
		;;

esac

# round numbers off
X=$( printf "%0.f\n" $X)
Y=$( printf "%0.f\n" $Y)
W=$( printf "%0.f\n" $W)
H=$( printf "%0.f\n" $H)

wmctrl -r :ACTIVE: -e 0,$X,$Y,$W,$H
